Maven voor PHP zal het juiste archetype niet vinden

Ik probeer een nieuw php-project te maken met maven met behulp van dit commando mvn archetype: generate, maar het zal het mavenphp achetype niet vinden, maar het geeft me een lijst van veel archetypen. Ik heb mijn settings.xml geconfigureerd met de hier verstrekte informatie http://www.php-maven.org/ prepare.html maar het werkt nog steeds niet. Om het even welke ideeën?

Bij voorbaat dank

1
Zou je de daadwerkelijke foutmelding kunnen posten? Als u bovendien maven uitvoert met de -X (debug-modus), krijgt u veel meer informatie over het probleem.
toegevoegd de auteur Henrique Ordine, de bron
Het spijt me als ik hier onzin praat, maar zijn er zoiets als Archetype-bibliotheken die je zou kunnen configureren in je settings.xml? Of kunt u een optie -DarchetypeRepository gebruiken?
toegevoegd de auteur Henrique Ordine, de bron
Hallo, dit is de boodschap die het toont [INFO] Scannen voor projecten ... [INFO] [INFO] Maven Stub Project (geen POM) bouwen 1 [INFO] [INFO] >>> maven-archetype-plugin: 2.2: genereren (default-cli) @ standalone-pom >>> [INFO] [INFO] <<< maven-archetype-plugin: 2.2: generate (default-cli) @ standalone-pom <<< [INFO] [INFO] - - maven-archetype-plugin: 2.2: produce (default-cli) @ standalone-pom --- [INFO] Project genereren in interactieve modus [INFO] Geen archetype gedefinieerd. Met maven-archetype-quickstart
toegevoegd de auteur Moon13, de bron
mvn archetype: generate -DarchetypeArtifactId = php5-zend-archetype -X Het geeft me de volgende fout [DEBUG] Archetype org.apache.maven.archetypes: php5-zend-archetype: 1.0 bestaat niet org.apache.maven.archetype .downloader.DownloadNotFoundExcept & zwnj; ion: Requested org.apache.maven.archetypes: php5-zend-archetype: jar: 1.0 download bestaat niet. bij org.apache.maven.archetype.downloader.DefaultDownloader.down & zwnj; load (DefaultDownload & zwnj; er.java:78)
toegevoegd de auteur Moon13, de bron

1 antwoord

gerelateerd aan uw eerdere opmerkingen:

mvn archetype:generate -DarchetypeArtifactId=php5-zend-archetype

Dit veronderstelt dat de archetypeversie 1.0.0 wordt gebruikt. Deze archetypeversie is echter niet aanwezig. Gebruik het volgende:

mvn archetype:generate -DarchetypeArtifactId=php5-zend-archetype -DarchetypeVersion=2.0.0 -DarchetypeGroupId=org.phpmaven
0
toegevoegd